package jp.co.nikkeibp.nsw;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.RadioGroup;

public class MenuActivity extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
      
        requestWindowFeature(Window.FEATURE_NO_TITLE);  
        getWindow().addFlags(WindowManager.LayoutParams.FLAG_FULLSCREEN); 
        setContentView(R.layout.menu);
    }
    
    public void buttonPressed(View v) {
    	RadioGroup radiogroup = (RadioGroup)findViewById(R.id.RadioGroup);
    	int selected = radiogroup.getCheckedRadioButtonId(); 
    	switch(selected) {
    	case R.id.RadioButton_Easy:
    		MinesweeperView.difficulty = 15;
    		break;
    	case R.id.RadioButton_Middle:
    		MinesweeperView.difficulty = 10;
    		break;
    	case R.id.RadioButton_Hard:
    		MinesweeperView.difficulty = 5;
    		break;
    	}   	
    	Intent it = new Intent(this, MinesweeperActivity.class);
    	startActivity(it);
    }
    
    public void onDestroy() {
    	super.onDestroy();
    }
    
    public void onStart() {
    	super.onStart();
    }
  
    public void onPause() {
    	super.onPause();
    	finish();
    }
}
