//
//  Minesweeper.h
//  Minesweeper
//
//  Created by KenKen on 11/03/17.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>

#define BOMB    -1
#define OPENED  1
#define BORDER  -2


@interface Minesweeper : NSObject{
    int table_x, table_y, bomb_num;
    int opened_cell, open_cell_num;
    int **table_n, **table_v, **table_m;
    bool isGame_over;
}

- (id)initWithTableX:(int)_table_x TableY:(int)_table_y;
- (void)clearTable;
- (void)dealloc;
- (void)setBombFirstX:(int)first_x FirstY:(int)first_y Difficulty:(int)difficulty;
- (int)getCellNumberX:(int)x Y:(int)y;
- (bool)isCellOpenX:(int)x Y:(int)y;
- (bool)openCellmkIIX:(int)x Y:(int)y;
- (void)openCellX:(int)x Y:(int)y;
- (bool)isGameover;
- (bool)isClear;
- (void)flipMarkX:(int)x Y:(int)y;
- (bool)isMarkX:(int)x Y:(int)y;
- (void)_openCellX:(int)x Y:(int)y;
- (void)openBlankX:(int)x Y:(int)y;
- (void)openNumCell;

@end
