//
//  MinesweeperAppDelegate.m
//  Minesweeper
//
//  Created by KenKen on 11/03/17.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import "MinesweeperAppDelegate.h"

#import "MinesweeperViewController.h"
#import "MenuViewController.h"

@implementation MinesweeperAppDelegate


@synthesize window;
@synthesize msViewController;
@synthesize menuViewController;
@synthesize alertview;
@synthesize difficulty;
@synthesize start_time;
@synthesize end_time;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    // Override point for customization after application launch.
    [UIApplication sharedApplication].statusBarHidden = YES;
    alertview = nil;
    
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    /*
     Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
     If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
     */
    // A[goĂ
    if (alertview != nil) {
        [alertview dismissWithClickedButtonIndex:0 animated:FALSE];
        alertview = nil;
    }
    [msViewController.view setHidden:YES];
    [msViewController release];
    [menuViewController release];
    [window release]; 
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    /*
     Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
     */
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
    CGRect applicationFrame = [[UIScreen mainScreen] applicationFrame];
    
    window = [[UIWindow alloc] initWithFrame:applicationFrame];
    
    menuViewController = [[MenuViewController alloc] init];
    [menuViewController.view setFrame:applicationFrame];
    
    msViewController = [[MinesweeperViewController alloc] init];
    [msViewController.view setFrame:applicationFrame];
    
    [window addSubview:menuViewController.view];
    
    [self.window makeKeyAndVisible];
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    /*
     Called when the application is about to terminate.
     Save data if appropriate.
     See also applicationDidEnterBackground:.
     */
}

- (void)dealloc
{
    [super dealloc];
}

@end
