//
//  MinesweeperView.h
//  Minesweeper
//
//  Created by KenKen on 11/03/17.
//  Copyright 2011 __MyCompanyName__. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MinesweeperAppDelegate.h"
#import "Minesweeper.h"
#import <AudioToolbox/AudioServices.h>

#define CELL    32
#define TABLE_X 10
#define TABLE_Y 15
#define ALERT_CLEAR 0
#define ALERT_GAMEOVER 1

@interface MinesweeperView : UIView <UIAlertViewDelegate>{    
    MinesweeperAppDelegate *app;
    UIImage *panel[12];
	bool isFirstopen;
	bool isGame_over;
	bool isClear;
    Minesweeper *msweeper;
    UITapGestureRecognizer *tap;
    UILongPressGestureRecognizer *longpress;    
    CFURLRef sound_url;
    SystemSoundID soundID;
}

@property (nonatomic, assign) Minesweeper *msweeper;

- (void)reset;
- (void)gameOver;
- (void)gameClear;

@end
